## residualvm 0.1.1+dfsg

=== Makefile ===

#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir) -I$(srcdir)/engines
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

	# Disable RTTI and exceptions
	CXXFLAGS+= -fno-rtti -fno-exceptions

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
endif

ifeq "$(HAVE_ICC)" "1"
	# Disable some warnings:
	#  161: unrecognized #pragma
	# 1899: multicharacter character literal (potential portability problem)
	CXXFLAGS+= -diag-disable 161,1899
endif

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################
# Misc stuff - you should never have to edit this                     #
#######################################################################

EXECUTABLE  := $(EXEPRE)residualvm$(EXEEXT)

include $(srcdir)/Makefile.common

# check if configure has been run or has been changed since last run
config.h config.mk: $(srcdir)/configure
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2
	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif

ifneq ($(origin port_mk), undefined)
include $(srcdir)/$(port_mk)
endif

=== debian/changelog ===
residualvm (0.1.1+dfsg-2ubuntu1) trusty; urgency=low

  * Kludge around clean rules, and handle newer arches with
    autotools-dev updating config.{guess,sub}.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 23 Jan 2014 10:31:26 -0500

residualvm (0.1.1+dfsg-2) unstable; urgency=low

  * Changed Section to "contrib/games" as there is no free game data
    available (Closes: #705702).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Apr 2013 13:21:39 +1000

residualvm (0.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #697177).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Apr 2013 11:40:17 +1000

=== debian/control ===
Source: residualvm
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libfreetype6-dev
              ,libgl1-mesa-dev
              ,libsdl1.2-dev
              ,libz-dev
              ,python
              ,zip
# the following are not used by default but we let "configure" have it
# because it check 'em so they may be of use eventually:
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libmad0-dev
              ,libvorbisidec-dev
              ,libpng-dev
              ,timidity
Standards-Version: 3.9.4
Homepage: http://residualvm.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/residualvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/residualvm.git

Package: residualvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, residualvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
Description: interpreter to play LucasArts' Lua-based 3D adventures
 ResidualVM is a cross-platform 3D game interpreter which allows you to
 play LucasArts' Lua-based 3D adventures (provided you already have
 their data files):
 .
  * Grim Fandango
  * Escape from Monkey Island (not working yet)
 .
 ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
 A software renderer is also included for machines without hardware OpenGL.

Package: residualvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Recommends: residualvm
Description: interpreter to play LucasArts' Lua-based 3D adventures (data files)
 ResidualVM is a cross-platform 3D game interpreter which allows you to
 play LucasArts' Lua-based 3D adventures (provided you already have
 their data files):
 .
  * Grim Fandango
  * Escape from Monkey Island (not working yet)
 .
 ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
 A software renderer is also included for machines without hardware OpenGL.
 .
 These packages provides data files.

#Package: residual-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: residualvm (= ${binary:Version}), ${misc:Depends}
#Description: residualvm -- debugging symbols
# ResidualVM is a cross-platform 3D game interpreter which allows you to
# play LucasArts' Lua-based 3D adventures (provided you already have
# their data files):
# .
#  * Grim Fandango
#  * Escape from Monkey Island (not working yet)
# .
# ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
# A software renderer is also included for machines without hardware OpenGL.
# .
# This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --max-parallel=4 --with autotools_dev

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
OPTARGS:= --disable-alsa
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
OPTARGS:= --disable-alsa
endif

override_dh_auto_clean:
	dh_autotools-dev_updateconfig
	./configure \
            --datadir=/usr/share/residualvm \
            --enable-release \
            --enable-verbose-build \
            --prefix=/usr $(OPTARGS)
	dh_autotools-dev_restoreconfig
	dh_auto_clean

override_dh_auto_configure:
	./configure \
            --datadir=/usr/share/residualvm \
            --enable-release \
            --enable-verbose-build \
            --prefix=/usr $(OPTARGS)

FPATH=gui/themes/modern
override_dh_auto_build:
	## replacing bundled fonts...
	for F in $(FPATH)/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$$(basename $${F}) $(FPATH)/ ;done
	## re-compressing "modern" theme...
	cd $(FPATH) && zip -9 ../modern.zip -r .
	## build executable(s)...
	dh_auto_build

override_dh_auto_test:
	chmod +x test/cxxtest/cxxtestgen.py    # correcting permissions
	-dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# gracefully handle stripping if -dbg package (un-)commented in debian/control
override_dh_strip:
	[ -d "$(CURDIR)/debian/residualvm-dbg" ] \
        && dh_strip --dbg-package=residualvm-dbg \
        || dh_strip

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-freefont-ttf,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"

override_dh_builddeb:
	dh_builddeb -- -Zxz

# get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
DTYPE := +dfsg
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
	&& $(RM) -r -v \
             gui/themes/fonts/topaz    \
             gui/themes/fonts/Arial*
	@echo "# Packing..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
# uscan(1) configuration file.
# Use `debian/rules get-orig-source` to generate DFSG-repackaged orig.tar.

version=3

opts="dversionmangle=s/\+dfsg//" \
http://sf.net/residualvm/residualvm-([0-9.]+)-sources\.tar\.(?:xz|bz2|gz)

opts="dversionmangle=s/\+dfsg//" \
https://github.com/residualvm/residualvm/tags .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## residualvm 0.2.0git9da01a4-maemo1

=== backends/platform/maemo/debian/changelog ===
residualvm (0.2.0git9da01a4-maemo1) UNRELEASED; urgency=low

  * development snapshot

 -- NerdKnight <nerdknight@gmail.com>  Mon, 07 May 2012 17:11:34 -0300

=== dists/debian/changelog ===
residualvm (0.2.0~git-1) unstable; urgency=low

  * Daily snapshot build.

  -- Pawel Kolodziejski <aquadran@residualvm.org>

=== backends/platform/maemo/debian/control ===
Source: residualvm
Section: user/games
Priority: optional
Maintainer: Nerdknight <nerdknight@gmail.com>
Build-Depends: debhelper (>> 4.0.0), libsdl1.2-dev,libmpeg2-4-dev,zlib1g-dev,libflac-dev,libvorbis-dev,libvorbisidec-dev,libmad0-dev

Standards-Version: 3.6.1.1
Package: residualvm
Depends: ${shlibs:Depends}
Architecture: armel
Section: user/games
Description: ResidualVM is a cross-platform 3D game interpreter
 which allows you to play LucasArts' LUA-based 3D adventures: 
 Grim Fandango and Escape from Monkey Island, provided you already
 have their data files. ResidualVM just replaces the executables
 shipped with the games, allowing you to play them on systems
 for which they were never designed! .
XSBC-Bugtracker: nerdknight@gmail.com
XB-Maemo-Display-Name: ResidualVM
XBS-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9wFEhQnGEleRw8AAA/gSURBVGjevZp7jF3VdcZ/a+99zrl3ZuwZDPgx
 EHCwDZhAcECtiNSiJsoDGgJRa9qohKZqEGn6ECSpKkDU2C5/oLSBkj4SItKG
 UjdQEtpULYEKFScERAnmmQDBNja2MWZsz9zH3HvOPWfvvfrHnTEzA7bHSZUj
 XWn2nHv3Wd9ea337W2sfYf5XChwPnAP8OvBeYDmQADnQAbpACzgIjAE7gFeA
 rVPf6QJtIPILvi4G/hXQn+NTAE8BXwX+GDj7F2X8t6ZWb9qQ+DMYP/c3HhgH
 XgCu+nmMk6Pc/2vgmqmHHvquiDBQr5GmDhGIUVFVYox4H1FVfAh4H95pzum5
 dM7zrwHumQq9/xcA7wcen/lQ5yyXfexXWHPOGaw47RSWLVmA05xeWdErPXkn
 p9UqKL0w2amYaHUYb7QYOzDBjp1v8NIrO8mL3lwgM6+9wJeBvwGqnxfAc1OJ
 CsDqM5bz1a/cyHEjltR3qPIJ6HVRn4NGUEVRxBgkS5BsEJMMEYEyGIoi4kNk
 +/Y9fPNbD/ODx18+nGcAngAuNMZUMcafCUAClFOTMjRYl3/5xl+wauUJ9Jq7
 qSZ+SuiMY2MJkkFUNAZQBWswSSA6hyQZagcgGUZMhqpFo2VgcIA8r/jbOx/i
 we+/yIFGlyk79a0olfbQ0NCSdrudL168mLGxsWMC8JvAt6cHZ68+jYf//TbG
 Xv8p5fhzaK8F3mME8BYjoGr6HwsiHjUVxniUQCQlSkqUjCgZYuqoJNTTlFaj
 yff+52nufegVdu6bHV7OuV2nnnrq+7dv3773cB4wh/n/u2YO3n3KEqoqEibf
 RMsOogo40ASiQ9UhRhAXMTZiMsWkEamByxRnC1KdJA1NrG8jZQMpxskP7qGm
 Y1z+gQH++c+W8YE1ycyFVe/9KZOTk7evXbs23bRp0zEBmEUf+8bGcc4gsZgi
 xUhReCrxRAtqA9F6QvBUpVLlgs8tvptQFQMEXwcEsRGTgDOK8TmiAY2GKDWy
 +gK+9Hsn8KH3mVkgDhw4sBa4+IorruC+++6bN4BZGbZz95u0J5v9byvUEsNd
 /7mNp36yD2c9KoJaR3SWIJagGRroUysJgTqVLsTHAdRHiAUuyUmyLtZGNGaY
 dBEa6vzhRwdZ/Zb/JYTAli1bvqKqg5dffjm33XbbLEPtYQDsAG46lNHO8uEL
 z2YoyYm9BjGUnLniBE5eVsdETzQOrxDwRF8niEERwGGMRUNALATjULWIBAwl
 xgWwio0FWWySURBFCb7k6VcjYSqxG43GiIjs2bx581Pnnnsujz322CFD3WEA
 6MxBVXne2DfB0hUJIhZFGahZrFW0qIAC1ZTgM3qTQugVxKg4a8jSQFrLic5C
 6oiujrUCKhAUjCGaIUIaUA0sHDRccGbJ3Y+0OOhBVQXggQceWDs2NnbX4sWL
 uzNtc0eg2DeBJQA+RCbzgKkNIanBVBEJBVYronjUpFgNhK6n2LuL8c4EE11P
 VQkrF2csOXEIajVC/XioB8SAcX2BIWJRC54BJHNQtBjMPOevzHnomUN7mW7d
 unX1s88+u2JKfswLwPZpAMEH2pMBkw6ANaBgpATfT0wrBZRdmnsKXtu/l3v/
 d5wtOwJGYNHCIa6/4jzOXbkMW40RTT9HTC3FGI9gEKMQBG9ryKCQmIqzTqnz
 0DMlIqgqFEUxvGXLllVzAZgjANh5iJJipNXqIEbQGFFRMJYolmAyIkLR6LG3
 McGmxyd49GVP3lM6PeWNiZzr/vEFJuqrkOPPAbFIAphICBlRLKoOVUW94EOG
 2hqnLkmmg1kAiTHabdu2rbjjjjvcfAHsmTnodicRkn56iPbZ1CREEowIk0WP
 HQe6PLezQkT6slP7+dNsjHPL177L8ctXIyPL0STD2ApxHhELIogxEFM0OkAY
 XjA7GWOMptlsjpZlOW8Ab8wclL0SFUVMgmJAY59dYg9RTxE9uxtlv1JRfdtk
 jz75PPVagskc4AnBIAQCfSkV1YGkaEhIXSAxBbV0Bquo4r0fmcucR0viQ1dR
 Fv3QyRJiMTVzUISIWEuaCMFHos6hsJmL4C3GBkQKJIJWEWwPTIAgqFGECmIP
 W/MU5QzNI6L1et2WZSnz9UBjFoBeBVYxSQ0xFjUWlX4sYyL1umVhPcGaw0+Z
 ZDVUC0ys+nGPw5IjWoAEiB7je5S+x092zhIDaoyJS5cu3d/r9XS+AJozB72y
 IpYeCb6/6ip9/WMAIwwMOFadNIi1faKae73v7NMpiiZaHsSZHkandBMeqwXG
 B0xVIEWLVj7JfY/4WaIzTdPq9NNPf7Uoimq+AGZtGL1ej6roQCwxBBBPNDWi
 qRFsDZdknDQywEfXDKMIRmYL3euv+W2ajW0kYRyCxZgKJBKig57Dll3c5H4O
 tvbz6EtNduxTZpSgrFmz5sedTmdfkiTlfHNgFoAQFAioRhRwUuFJ+sstEXGO
 0aUj/NavOkaGBnhxf8pkqRw3MsDHP3Q+K94VCK1XSYMiCURRtBSIEXzEVG32
 TTR4Zs849/2wpPRvyX3nXHXJJZdsabVaWzdu3Mh8AcxyVYihvxgqfaoT16fL
 CJYSNUq2oMaoqfH7HxkkX7ASd9wy0oGFpK7Ct3ZhihYkpu/3KIgGYqUEn3Ng
 vMWO1gFuubei3dVZdcGll176cK/Xa2zcuPH5+arRt1c+KqCuH/9Ti6MqmGCg
 skCCqRuSoZRkwQIWuL3Ui+cx7aepxrcgxV6MBsQqKhCDQ63Bh8hEs+K5XRP8
 6dfKtxm/fPnyV88888z9McZNADfffPO8PTAHqoCWqASMLdDgsUYgRNRaoqZI
 JpgsIlExURHbAyoEJdoaqhmqJVKC2IC3Qlk6tu3p8vf/0aWTz66PBwcHJy+7
 7LIttVrtO+vWrXv5hhtu4MYbb5w3ADvb/gjGIxYkBKytiFbRAJKAwaPeEb32
 /Sp9jROxRE1A6ihKjEKSFQQziARHp8h54uXGdNLOLCf9tdde++0sy54IIXwP
 4KyzznqbkUcCMDgLgAWxijiDePpMZCCoRcoAqZvaFxJEIcZAVBAx9Ms2DxTY
 rEu0CRodUVO6IfDU1s5cyiy+8IUv3Csi251z31y3bl0F8KlPfYpjyYH6zEGW
 ZRhjEGshEcRWmCSHpADjwSmSRGzaxaYdTNov6iGA9YjrYZMKnCBOQSBoRjZY
 56Sls9exXq+XwKtlWf7lDTfc0Fu/fv38wmTOtRq4cnqw5uzlXHjBUmLVQGKO
 Ie/XJBhc1kOsxxDQ2J/SkxFJwEbUgrqMmCTYrMC6iBpH8BYjg8Q4yQ+2NKcl
 lPZ6vdpzzz135iOPPPIlgM2bN3OsXQmA42YOaqlBCeALxJQgSowOFdcXbz72
 KbFKKHpD+JDgJaWKNWIIRF8RQwUaCSFBY8RpF6OW96xcxoUXLJ4lHdrt9rIF
 CxZ8/6jccoR7J85ya81hDGAjxnkwiqiSmAIxob/leA+9LrbXQfMedHOk6GLK
 DqbXxBZtYi4En6BVQMoulCUjtRqfuHCEVSfb6c1LpkBceNJJJ/35rl27uPvu
 u48ZwNK5QkycoiYgeIhgNPR30mjR6PA+IeYVsd1BmwXSLrDdHOkEYhtiB3zP
 EatIKCqqEkzexpZw+rKUP/iEY2TB7Kbb2NjYhvXr159z5ZVXctdddx0TgFnN
 raGhFNUKkepQc1m0L0YlGqIIMXqKXpfXDx7gxd2vsf31nRzc/wbS62BjiUYl
 lBGfB3wh9IpBJHqy0GUkq3HOacfxxcsNaTKzoVDJ5s2b7wH49Kc/Pe+2ynS7
 ezmAs5aLPvxeVq4ALZs4LRDvUS8Qp3pCEYpWwZtjB/jGgwf4h/9usumRFo9t
 zVn6rnczOnoqSg9cfzc26tFQx1DhXA8rMFSDBQMlRVXy0mtv5cPExMTitWvX
 dl588cXHH3rooXl74LTpCZyzHDeSIX3hg6r2495HMNqv0MpA2Z3kzu81+K8n
 KybafUrZsbfk87c9QTM7C3viGpQ6xiuJ9khtTpqVuFrEugDGccLCBXzsgoTh
 odkd6wcffPDzY2Njy44lhE6ZjkXnDMMLBV+VxGiRpCQGRaMSRft/90omGm1+
 +ON3buuvu/UeRkZGsaaOCFgTqdUa2HQS40K/MxENRhJOXFjjyovMrOZzWZYn
 fO5zn/u4zilXjybmtN+ZM5ywKOt3n6MQ1NEtBihjgveOkAsxLxlvlu9UDgPw
 5LOv4INg0mEMFsVh0H5RHwARNFgIGfW0zi+dYRmeoQW8927fvn2/dv/999du
 ueWWowI4YyYTuMRy4omLiBE0VITK0mkPUvkaZVHD9wyxVJyLyBGOTF7a2cRl
 S7CEfmfOgwmG0tcpfI1c65SS4bIEa4Rffs+hyTTGaMqyXNVsNgevu+66owJY
 NYtCnWFk4QJ8EXC+QdnK0F6dqkiIOUgoqGLB4EDAHoEWfrJtD2bgJFQjRnKU
 AnyOSo/SJ1SSUorDi8WrkqZzJL1IrdVqjRxze70oKna9NoZRT9UJ+IlJtNNG
 e218NU63mmCiO4mtHRnAdx98jKQ+QBHq5OUkeSjp+i5F0cKHMUL1JkV5kLGJ
 CQLKEy/orFZ7rVYrvfduPmr04Zk5MN7oytXX/hNf/N1FrFjcYf+ughAdQTwu
 jWS1QF6UfOfRSKN92HMvfeaF7XLDzXfwJ5cKg6bBm81I4RUloazAxwqNgYmu
 8o3veg7OaCs456rR0dGxEEJzvod83wcunHluNX1j5TI4YVhwTpksYM8BONB4
 hypOJNZqtSLP84G592qpcNqoMjIk1DKoPDQ6yt4xONh6+yIsXLhwYv369X/X
 bDZvqdVqneuvv/6o9cDvAE8Di+fe2PYGbHtDj8Zecv755z+9cuXK3ffcc88n
 ZnoCkKJUXtz5tk7+YU8uP/nJTz6c5/nzqtqdNv5oNPr6kiVLLpG+dpj5JD3K
 AxWQVatWvXzRRRdtXb169V+lafpH7xRS8zibkKlC5t9OPvnkPWVZPrhx40ad
 Vwk8OjoKwMGDBxetWLHi0SRJus656nCvExhjfJIkxeDg4OTFF1/88K233nr7
 unXrPjo93wc/+MHfGB4e3pumaWGtrY70asL0XMPDw+Of/exn7924ceOXN27c
 eCLA3OLmiK8aXHPNNdx+++39xtT113/oRz/60Uc6nc4a7/3iGGMKiDEmpmla
 Lly4cHJ0dPT1c88999k8z3e02+0nb7755h3r1q3jgQce4KmnniKEsOgzn/nM
 Zbt3774gz/PTq6paFELIQggG0CRJfJIkfnh4uD06Ovr6eeed93Sj0fhpVVUP
 b9iwYXLDhg3cdNNNx/SuBF//+te5+uqrAbj//vuToiiydrs92Gw2R0IINWut
 GGNKEWlVVdXudruliBQbNmyY5eo777yTq666ClVl06ZNNSBptVqDjUZjkfe+
 rqq1NE19kiRdoOm9b3U6nZ5zLr/ppptYv34971Ra/h+vpoN0vTu8MwAAAABJ
 RU5ErkJggg==

=== dists/debian/control ===
Source: residualvm
Section: games
Priority: optional
Maintainer: Pawel Kolodziejski <aquadran@residualvm.org>
Build-Depends: debhelper (>= 7), libgl1-mesa-dev, libsdl1.2-dev, libmad0-dev, libz-dev, libmpeg2-4-dev
Standards-Version: 3.8.4
Homepage: http://www.residualvm.org

Package: residualvm
Architecture: any
Depends: ${shlibs:Depends}
Description: Interpreter for several 3D games
 ResidualVM is a cross-platform 3D game interpreter which allows you to
 play LucasArts' LUA-based 3D adventures: Grim Fandango and
 Escape from Monkey Island, provided you already have their data files.
 .
 ResidualVM just replaces the executables shipped with the games,
 allowing you to play them on systems for which they were never designed!

=== backends/platform/maemo/debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

build: residualvm

residualvm:
	dh_testdir
	./configure --host=maemo
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/residualvm install
	dh_install --sourcedir=$(CURDIR)/debian/residualvm
# run as fake dbus-service to enable switching back to application from desktop via home key
	install -m0755 dists/maemo/residualvm.servicewrapper debian/residualvm/usr/games/residualvm
	install -m0644 dists/maemo/residualvm.desktop debian/residualvm/usr/share/applications/hildon/residualvm.desktop
	install -m0644 dists/maemo/residualvm.service debian/residualvm/usr/share/dbus-1/services
#
	install -m0644 dists/maemo/residualvm26.png debian/residualvm/usr/share/icons/hicolor/26x26/hildon/residualvm.png
	install -m0644 dists/maemo/residualvm40.png debian/residualvm/usr/share/icons/hicolor/40x40/hildon/residualvm.png
	install -m0644 dists/maemo/residualvm48.png debian/residualvm/usr/share/icons/hicolor/48x48/hildon/residualvm.png
	install -m0644 dists/maemo/residualvm64.png debian/residualvm/usr/share/icons/hicolor/64x64/hildon/residualvm.png
	install -m0644 backends/vkeybd/packs/vkeybd_default.zip debian/residualvm/opt/residualvm/share
binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb
	
binary-indep:

.PHONY: build clean binary install binary-arch binary-indep

## residualvm 0.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,11 @@
 	# being helpful.
 	#CXXFLAGS+= -Wmissing-format-attribute
 
-	# Disable RTTI and exceptions
-	CXXFLAGS+= -fno-rtti -fno-exceptions
+ifneq "$(BACKEND)" "tizen"
+	# Disable exceptions. This setting causes tizen apps to crash
+	# TODO: Does this still apply after enabling RTTI again?
+	CXXFLAGS+= -fno-exceptions
+endif
 
 ifneq "$(HAVE_CLANG)" "1"
 	# enable checking of pointers returned by "new", but only when we do not
@@ -44,6 +47,11 @@
 
 ifeq "$(HAVE_CLANG)" "1"
 	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
+	# We use a anonymous nested type declaration in an anonymous union in
+	# common/str.h. This is no standard construct and clang warns about it.
+	# It works for all our target systems though, thus we simply disable that
+	# warning.
+	CXXFLAGS+= -Wno-nested-anon-types
 endif
 
 ifeq "$(HAVE_ICC)" "1"
@@ -75,7 +83,8 @@
 include $(srcdir)/Makefile.common
 
 # check if configure has been run or has been changed since last run
-config.h config.mk: $(srcdir)/configure
+ENGINE_SUBDIRS_CONFIGURE := $(wildcard $(srcdir)/engines/*/configure.engine)
+config.h: $(srcdir)/configure $(ENGINE_SUBDIRS_CONFIGURE)
 ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
 	@echo "Running $(srcdir)/configure with the last specified parameters"
 	@sleep 2
@@ -87,6 +96,14 @@
 	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
 endif
 
+config.mk engines/plugins_table.h engines/engines.mk: config.h
+	@if test -f $@; then \
+		touch $@; \
+	else \
+		rm -f config.h; \
+		$(MAKE) config.h; \
+	fi
+
 ifneq ($(origin port_mk), undefined)
 include $(srcdir)/$(port_mk)
 endif

=== debian/changelog ===
residualvm (0.2.1+dfsg-3) unstable; urgency=medium

  * Upgraded Vcs URLs.
  * Removed .menu file.
  * Standards-Version: 3.9.8.
  * Removed traces of .dbg package.
  * Debhelper & compat to version 10.
  * Build-Depends += "libjpeg-dev" (Closes: #846869).
    Thanks, Stephen Kitt.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 05 Dec 2016 08:12:16 +1100

residualvm (0.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 May 2015 15:53:14 +1000

residualvm (0.2.1+dfsg-1) experimental; urgency=low

  * New upstream release [January 2015].
  * watch: added repacksuffix.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 11:35:23 +1100

residualvm (0.2.0+dfsg-1) experimental; urgency=low

  * New upstream release [December 2014].
  * Added "Myst III" to long package description.
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.
  * Copyright: added "Files-Excluded" section; minor updates.
  * Build with all hardening.
  * Minor clean-up; dropped obsolete "spelling.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Jan 2015 10:38:37 +1100

residualvm (0.1.1+dfsg-3) unstable; urgency=medium

  * Added "pre-clean.patch" to fix `make clean` before 'configure'
    (Closes: #751038).
  * residualvm-data: corrected description typo (Closes: #714445);
    Thanks, Pascal De Vuyst.
  * Bumped packaging copyright years.
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Jun 2014 20:36:20 +1000

=== debian/control ===
Source: residualvm
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 10), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libfreetype6-dev
              ,libgl1-mesa-dev
              ,libjpeg-dev
              ,libsdl1.2-dev
              ,libz-dev
              ,python
              ,zip
# the following are not used by default but we let "configure" have it
# because it check 'em so they may be of use eventually:
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libmad0-dev
              ,libvorbisidec-dev
              ,libpng-dev
              ,timidity
Standards-Version: 3.9.8
Homepage: http://residualvm.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/residualvm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/residualvm.git

Package: residualvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, residualvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
Description: interpreter to play LucasArts' Lua-based 3D adventures
 ResidualVM is a cross-platform 3D game interpreter which allows you to
 play LucasArts' Lua-based 3D adventures (provided you already have
 their data files):
 .
  * Grim Fandango
  * Myst III
  * Escape from Monkey Island (not working yet)
 .
 ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
 A software renderer is also included for machines without hardware OpenGL.

Package: residualvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Recommends: residualvm
Description: interpreter to play LucasArts' Lua-based 3D adventures (data files)
 ResidualVM is a cross-platform 3D game interpreter which allows you to
 play LucasArts' Lua-based 3D adventures (provided you already have
 their data files):
 .
  * Grim Fandango
  * Myst III
  * Escape from Monkey Island (not working yet)
 .
 ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
 A software renderer is also included for machines without hardware OpenGL.
 .
 This package provides data files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --max-parallel=4 --with autotools_dev

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
OPTARGS:= --disable-alsa
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
OPTARGS:= --disable-alsa
endif

override_dh_auto_configure:
	./configure \
            --datadir=/usr/share/residualvm \
            --enable-release \
            --enable-verbose-build \
            --prefix=/usr $(OPTARGS)

FPATH=gui/themes/modern
override_dh_auto_build:
	## replacing bundled fonts...
	for F in $(FPATH)/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$$(basename $${F}) $(FPATH)/ ;done
	## re-compressing "modern" theme...
	cd $(FPATH) && zip -9 ../modern.zip -r .
	## build executable(s)...
	dh_auto_build

override_dh_auto_test:
	-dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-freefont-ttf,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"

# get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
DTYPE := +dfsg
.PHONY: get-orig-source
get-orig-source:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/watch ===
# uscan(1) configuration file.
# Use `debian/rules get-orig-source` to generate DFSG-repackaged orig.tar.

version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
 http://sf.net/residualvm/residualvm-([0-9.]+)-sources\.tar\.(?:xz|bz2|gz)

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
 https://github.com/residualvm/residualvm/releases .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## residualvm 0.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,8 @@
 	# It works for all our target systems though, thus we simply disable that
 	# warning.
 	CXXFLAGS+= -Wno-nested-anon-types
+	# ResidualVM: added -Wno-global-constructors
+	CXXFLAGS+= -Wno-global-constructors
 endif
 
 ifeq "$(HAVE_ICC)" "1"
@@ -91,6 +93,7 @@
 	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
 			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
 			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
+			SDL_CONFIG="$(SAVED_SDL_CONFIG)" \
 			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
 else
 	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)

=== devtools/create_project/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(create_project)


set(SOURCE_FILES
	../cmake.cpp
	../cmake.h
	../codeblocks.cpp
	../codeblocks.h
	../create_project.cpp
	../create_project.h
	../msbuild.cpp
	../msbuild.h
	../msvc.cpp
	../msvc.h
	../visualstudio.cpp
	../visualstudio.h
	../xcode.cpp
	../xcode.h
    )

add_executable(create_project ${SOURCE_FILES})

=== debian/changelog ===
residualvm (0.3.1+dfsg-2) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * Drop "not working yet" remark for "Escape from Monkey Island",
    fully supported in current version
  * Run Perl-based cxxtest instead of Python 2 variant and drop
    build dep on python (Closes: #938357)

  [ Dmitry Smirnov ]
  * CI: re-factored
  * removed "libfaad-dev" fron Build-Depends (Closes: #856238).
  * Build against SDL2 (Closes: #929772)
  * CI: don't block on "amd64-stable" job.

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 12 Dec 2019 22:42:02 +0100

residualvm (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Jun 2018 20:14:58 +1000

residualvm (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2017].
  * Debhelper & compat to version 11.
  * Vcs URLs to Salsa.
  * Standards-Version: 4.1.4.
  * watch file to version 4, improved.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 12:58:27 +1000

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,28 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10), autotools-dev
+Build-Depends: debhelper (>= 11~)
               ,fonts-freefont-ttf
               ,libasound2-dev [linux-any]
               ,libfreetype6-dev
               ,libgl1-mesa-dev
               ,libjpeg-dev
-              ,libsdl1.2-dev
+              ,libsdl2-dev | libsdl1.2-dev
               ,libz-dev
-              ,python
               ,zip
 # the following are not used by default but we let "configure" have it
 # because it check 'em so they may be of use eventually:
-              ,libfaad-dev
+#             ,libfaad-dev
               ,libflac-dev
               ,libfluidsynth-dev
               ,libmad0-dev
               ,libvorbisidec-dev
               ,libpng-dev
               ,timidity
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://residualvm.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/residualvm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/residualvm.git
+Vcs-Browser: https://salsa.debian.org/games-team/residualvm
+Vcs-Git: https://salsa.debian.org/games-team/residualvm.git
 
 Package: residualvm
 Architecture: any
@@ -38,7 +37,7 @@
  .
   * Grim Fandango
   * Myst III
-  * Escape from Monkey Island (not working yet)
+  * Escape from Monkey Island
  .
  ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
  A software renderer is also included for machines without hardware OpenGL.
@@ -55,7 +54,7 @@
  .
   * Grim Fandango
   * Myst III
-  * Escape from Monkey Island (not working yet)
+  * Escape from Monkey Island
  .
  ResidualVM utilizes OpenGL for 3D graphics hardware acceleration.
  A software renderer is also included for machines without hardware OpenGL.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autotools_dev
+	dh $@ --max-parallel=4
 
 ifeq ($(DEB_BUILD_ARCH_OS),hurd)
 OPTARGS:= --disable-alsa
@@ -39,13 +39,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-freefont-ttf,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"
-
-# get-orig-source
-PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
-DTYPE := +dfsg
-.PHONY: get-orig-source
-get-orig-source:
-	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
